package com.liang.entity;

import lombok.Data;

import java.io.Serializable;
import java.sql.Date;

/**
 * @Author ly
 * @Date 2024/4/2 16:10
 * @Version 1.0
 *     临时人员表
 *     sys_post_lsry
 */
public class SysLsUserEntity implements Serializable {

    private Integer id;

    /**
     * 临时人
     */
    private String xm;
    /**
     * 性别
     */
    private String xb;

    /**
     * 身份证号
     */
    private String sfzh;
    /**
     * 电话
     */
    private String phone;

    /**
     * 月工资额度
     */
    private String ygzed;

    /**
     * 毕业学校
     */
    private String byxy;

    /**
     * 专业
     */
    private String zy;

    /**
     * 学历
     */
    private String xl;

    /**
     * 工作内容
     */
    private String gznr;

    /**
     * 起聘时间
     */
    private String qpsj;

    /**
     * 到期时间
     */
    private String dqsj;

    /**
     * 创建人
     */
    private Integer cjr;

    /**
     * 创建时间
     */
    private String cjsj;

    /**
     * 当前人员状态
     */
    private Integer zt;

    /**
     * 费用申请
     */
    private Integer fysq;

    /**
     * 项目负责人
     */
    private String xmfzr;

    /**
     * 报账费用
     */
    private String bzfy;

    private String gzdd;

    /**
     * 科研费号
     */
    private String kyfh;

    /**
     * 周期
     */
    private Double zq;
    private Integer x;
    private Integer zb;

    private String qsrq;
    private String jsrq;

    private String byxx;

    private String xmqssj;

    private String xmjsrq;

    public String getXmqssj() {
        return xmqssj;
    }

    public void setXmqssj(String xmqssj) {
        this.xmqssj = xmqssj;
    }

    public String getXmjsrq() {
        return xmjsrq;
    }

    public void setXmjsrq(String xmjsrq) {
        this.xmjsrq = xmjsrq;
    }

    public String getQsrq() {
        return qsrq;
    }

    public void setQsrq(String qsrq) {
        this.qsrq = qsrq;
    }

    public String getJsrq() {
        return jsrq;
    }

    public void setJsrq(String jsrq) {
        this.jsrq = jsrq;
    }

    public String getByxx() {
        return byxx;
    }

    public void setByxx(String byxx) {
        this.byxx = byxx;
    }

    public Integer getZb() {
        return zb;
    }

    public void setZb(Integer zb) {
        this.zb = zb;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getXm() {
        return xm;
    }

    public void setXm(String xm) {
        this.xm = xm;
    }

    public String getXb() {
        return xb;
    }

    public void setXb(String xb) {
        this.xb = xb;
    }

    public String getSfzh() {
        return sfzh;
    }

    public void setSfzh(String sfzh) {
        this.sfzh = sfzh;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getYgzed() {
        return ygzed;
    }

    public void setYgzed(String ygzed) {
        this.ygzed = ygzed;
    }

    public String getByxy() {
        return byxy;
    }

    public void setByxy(String byxy) {
        this.byxy = byxy;
    }

    public String getZy() {
        return zy;
    }

    public void setZy(String zy) {
        this.zy = zy;
    }

    public String getXl() {
        return xl;
    }

    public void setXl(String xl) {
        this.xl = xl;
    }

    public String getGznr() {
        return gznr;
    }

    public void setGznr(String gznr) {
        this.gznr = gznr;
    }

    public String getQpsj() {
        return qpsj;
    }

    public void setQpsj(String qpsj) {
        this.qpsj = qpsj;
    }

    public String getDqsj() {
        return dqsj;
    }

    public void setDqsj(String dqsj) {
        this.dqsj = dqsj;
    }

    public Integer getCjr() {
        return cjr;
    }

    public void setCjr(Integer cjr) {
        this.cjr = cjr;
    }

    public String getCjsj() {
        return cjsj;
    }

    public void setCjsj(String cjsj) {
        this.cjsj = cjsj;
    }

    public Integer getZt() {
        return zt;
    }

    public void setZt(Integer zt) {
        this.zt = zt;
    }

    public Integer getFysq() {
        return fysq;
    }

    public void setFysq(Integer fysq) {
        this.fysq = fysq;
    }

    public String getXmfzr() {
        return xmfzr;
    }

    public void setXmfzr(String xmfzr) {
        this.xmfzr = xmfzr;
    }

    public String getBzfy() {
        return bzfy;
    }

    public void setBzfy(String bzfy) {
        this.bzfy = bzfy;
    }

    public String getGzdd() {
        return gzdd;
    }

    public void setGzdd(String gzdd) {
        this.gzdd = gzdd;
    }

    public String getKyfh() {
        return kyfh;
    }

    public void setKyfh(String kyfh) {
        this.kyfh = kyfh;
    }

    public Double getZq() {
        return zq;
    }

    public void setZq(Double zq) {
        this.zq = zq;
    }

    public Integer getX() {
        return x;
    }

    public void setX(Integer x) {
        this.x = x;
    }
}

